LS.chart = {
  to: moment(),
  from: moment(this.to).subtract(14, 'days'),
  interval: 5, //DAY_OF_MONTH
  useBars: true,
  dataUrl: '',
  seriesData: {},
  dashboard: true,
  disabledControls: true
};

(function(){
  var boxTimeSaved = $('#box-JRebelTimeSaved');
  $.getJSON(boxTimeSaved.data('timeSavedUrl') + '?' + $.param({
    from: LS.chart.from.format('YYYY-MM-DD'),
    to: LS.chart.to.format('YYYY-MM-DD')
  }))
  .success(function (data) {
    if (!data.id) {
      boxTimeSaved.find('div.no-licenses').show();
      return;
    }
    if (data.totalTimeSaved <= 0) {
      boxTimeSaved.find('div.zero-time-saved').show();
      return;
    }

    LS.chart.createChart("timeSaved", data.seriesData).init();
    showTotalTimeSaved(boxTimeSaved, data);
    boxTimeSaved.find('div.has-time-saved').show();
    boxTimeSaved.find('.boxed-header a.act').show();
  })
  .complete(function(){
    boxTimeSaved.find('i.fa-spinner').remove();
  });

  function showTotalTimeSaved(box, data) {
    var totalTime = data.totalTimeSaved;
    if (totalTime <= 0) {
      box.find('.no-time').show();
    }
    else {
      var duration = totalTime + ' hour' + (totalTime !== 1 ? 's' : '');
      box.find('strong[data-duration]').text(duration);
      box.find('.some-time').show();
    }
  }

  $("#tokenUrl_valid").find("button.dashboard-url-copy").click(function() {
    var button = $(this);
    button.html('<i class="fa fa-check-square"></i> Copied');
    setTimeout(function () {
      button.text("Copy URL");
    }, 2000);
  });

  if($('#tokenChooser option').length === 2) {
    $('#tokenChooser option:first').remove();
    $('#tokenChooser').attr('readonly', '');
  }

  $("#tokenChooser").change(function () {
    $("[id^=tokenUrl_]").hide();
    if ($(this).val() === "invalid") {
      $("#tokenUrl_invalid").css("display", 'inline');
    }
    else {
      var urlArea = $("#tokenUrl_valid");
      var option = $("#tokenChooser").find(":selected");
      urlArea.find(".dashboard-team-url-area span").text(option.data('group-url'));
      urlArea.find(".dashboard-team-url-area button").data('clipboard-text', option.data('group-url'));
      urlArea.find("button.sendToken").data('group-id', option.val());
      urlArea.css("display", 'inline');
    }
  }).change();
})();
