(function () {
  var form = $('form[name="usersForm"]');
  $("select", form).on('change', function () {
    form.submit();
  });
  var rowsSelector = 'table tbody tr.sort';
  if ($(rowsSelector).length) {
    tinysort(rowsSelector, {attr: 'data-time', order: 'desc'});

    $('table th.link[data-sort-attr]').click(function (event) {
      // do not sort when changing select value
      if ($(event.target).closest('select').length) {
        return;
      }
      var el = $(this);
      var attr = el.data('sort-attr');
      var order = el.data('sort-order') || 'asc';
      tinysort(rowsSelector, {attr: attr, order: order});
    });
  }
  else {
    $('table th.link').each(function() {
      $(this).removeClass('link');
    });
  }

  $("td.actions[data-blocked='true'] div[data-role='unblock_user']").show();
  $("td.actions[data-blocked='false'] div[data-role='block_user']").show();

  $('td.actions a[data-method]').click(function(evt) {
    evt.preventDefault();
    var link = $(this);
    var modal = LS.openModal('Confirm', link.find("span[data-role='confirm']").html(), 'Confirm', function() {
      modal.find('button.btn-submit').attr('disabled', 'disabled');
      var form = $('<form />')
          .attr('method', link.data('method'))
          .attr('action', link.attr('href'));
      LS.common.ajaxFormSubmit(form,
        function() {
          link.closest('td').find('div[data-role]').hide();
          var newRole = link.data('role') === 'block_user' ? 'unblock_user' : 'block_user';
          link.closest('td').find("div[data-role='"+newRole+"']").show();

          modal.modal('hide');
        },
        function(resp) {
          var errors = _.pairs($.parseJSON(resp.responseText));
          modal.find('.alert-error')
            .removeClass("hide").html(errors[0][1]);
        }
      );
      form.submit();
    }, {buttonClass: 'btn-danger'});
  });
})();